﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace RibbonMenuToolMVVM
{
    public class ViewModelBase : INotifyPropertyChanged
    {
        #region INotifyPropertyChanged Implementation
        public event PropertyChangedEventHandler PropertyChanged;
        protected void RaisePropertyChanged(string propertyName)
        {
            if (PropertyChanged != null)
                PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
        }
        #endregion
    }

    public class ViewModel : ViewModelBase
    {

        public ViewModel()
        {

            MenuItems = new ObservableCollection<string> { "Active", "InActive", "Test" };

            SetStatusCommand = new DelegateCommand<string>(SetStatus);

        }

        public DelegateCommand<string> SetStatusCommand { get; set; }

        private ObservableCollection<string> _MenuItems;
        public ObservableCollection<string> MenuItems
        {
            get { return _MenuItems; }
            set
            {
                if (value != _MenuItems)
                {
                    _MenuItems = value;
                    RaisePropertyChanged("MenuItems");
                }
            }
        }

        private void SetStatus(string status)
        {
            var parameter = status;
        }
    }

}
